autofs (5.1.9-1.2ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:20:07 +0200

autofs (5.1.9-1.2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085218). Remaining changes:
    - Fix authenticated cifs mount failure caught by DEP8  (LP #1955851):
      + d/t/smb-mount: fix setting the password of the smb test user
    - d/t/control, d/t/ldap-map-sasl-auth: DEP8 tests for SASL
      authentication mechanisms in LDAP maps, including shared secret
      mechanisms and GSSAPI ones
    - d/p/ntlm-crammd5-require-credentials.patch: fix NTLM and CRAM-MD5
      authentication (LP #2023595)
    - d/p/adjust-buffer-size-for-snprintf.patch: fix buffer size when
      appending to a string (LP #2061667)
    - d/p/autofs-5.1.9-fix-always-recreate-credential-cache.patch: Fix
      credential end time comparison by using calendar time()
      (LP #2074003)
  * Dropped:
    - d/p/autofs-5.1.9-Fix-incompatible-function-pointer-types-in-cyrus-sasl-module.patch:
      Fix FTBFS (LP #2077345)
      [In 5.1.9-1.2]

 -- Andreas Hasenack <andreas@canonical.com>  Sat, 28 Dec 2024 00:59:31 -0300

autofs (5.1.9-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix incompatible function pointer types in cyrus-sasl module (Closes:
    #1078408)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 11 Sep 2024 20:56:38 +0200

autofs (5.1.9-1.1ubuntu2) oracular; urgency=medium

  * d/p/autofs-5.1.9-fix-always-recreate-credential-cache.patch: Fix
    credential end time comparison by using calendar time()
    (LP: #2074003)
  * d/p/autofs-5.1.9-Fix-incompatible-function-pointer-types-in-cyrus-sasl-module.patch:
    Fix FTBFS (LP: #2077345)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 19 Aug 2024 13:44:53 -0300

autofs (5.1.9-1.1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064389). Remaining changes:
    - Fix authenticated cifs mount failure caught by DEP8  (LP #1955851):
      + d/t/smb-mount: fix setting the password of the smb test user
    - d/t/control, d/t/ldap-map-sasl-auth: DEP8 tests for SASL
      authentication mechanisms in LDAP maps, including shared secret
      mechanisms and GSSAPI ones
    - d/p/ntlm-crammd5-require-credentials.patch: fix NTLM and CRAM-MD5
      authentication (LP #2023595)
    - d/p/adjust-buffer-size-for-snprintf.patch: fix buffer size when
      appending to a string (LP #2061667)

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 23 Jun 2024 11:52:28 -0300

autofs (5.1.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libnsl-dev to Build-Depends (Closes: #1065165)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Mar 2024 13:06:17 +0100

autofs (5.1.9-1ubuntu4) noble; urgency=medium

  * d/p/adjust-buffer-size-for-snprintf.patch: fix buffer size when
    appending to a string (LP: #2061667)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 17 Apr 2024 11:47:05 -0300

autofs (5.1.9-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:32:07 +1100

autofs (5.1.9-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 00:07:57 +0000

autofs (5.1.9-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040368). Remaining changes:
    - Fix authenticated cifs mount failure caught by DEP8  (LP #1955851):
      + d/t/smb-mount: fix setting the password of the smb test user
    - d/t/control, d/t/ldap-map-sasl-auth: DEP8 tests for SASL
      authentication mechanisms in LDAP maps, including shared secret
      mechanisms and GSSAPI ones
    - d/p/ntlm-crammd5-require-credentials.patch: fix NTLM and CRAM-MD5
      authentication (LP #2023595)
  * Dropped:
    - d/p/fix-loop-under-run-in-cache_get_offset_parent.patch: fix crash
      on s390x
      [Included by upstream in 5.1.9]
    - d/p/autofs-5.1.8-support-SCRAM-for-SASL-binding.patch: Support
      SASL SCRAM authentication (LP #1987992)
      [Included by upstream in 5.1.9]
    - Switch to OpenLDAP for SASL binds (LP #1984073):
      + d/p/autofs-5.1.8-prepare-for-OpenLDAP-SASL-binding.patch: autoconf
        changes
      + d/p/autofs-5.1.8-let-OpenLDAP-handle-SASL-binding.patch: use
        OpenLDAP for SASL binds
      + d/p/autofs-5.1.8-ldap_sasl_interactive_bind-needs-credentials-for-auto-detection.patch:
        fix auto-detection case
      [Included by upstream in 5.1.9]

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 29 Feb 2024 11:05:09 -0300

autofs (5.1.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop dont-probe-interface-that-cant-send-pac.patch, fix-missing-unlock-
      in-sasl-do-kinit-ext-cc.patch, remove-kernel-mount.nfs-version-check.patch
      and use-correct-reference-for-IN6-macro-cal.patch. All shipped in similar
      variances upstream.
    + Rebase 11default_automaster_location.patch, remove-kernel-mount.nfs-
      version-check.patch and spelling-error-fixes.patch.
    + Add fix-autofs.conf-man-page.patch. Fix artifact from applying a patch to
      the man page.
    * Add fix-autofs-man-page.patch. Malformatted font layout tag. Thanks,
      lintian.
  * debian/control:
    + Switch from pkg-config to pkgconf. Thanks, lintian.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Feb 2024 18:45:01 +0100

autofs (5.1.8-3.1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2031241). Remaining changes:
    - Fix authenticated cifs mount failure caught by DEP8  (LP #1955851):
      + d/t/smb-mount: fix setting the password of the smb test user
      + d/p/fix-loop-under-run-in-cache_get_offset_parent.patch: fix crash
        on s390x
    - d/p/autofs-5.1.8-support-SCRAM-for-SASL-binding.patch: Support
      SASL SCRAM authentication (LP #1987992):
    - Switch to OpenLDAP for SASL binds (LP #1984073):
      + d/p/autofs-5.1.8-prepare-for-OpenLDAP-SASL-binding.patch: autoconf
        changes
      + d/p/autofs-5.1.8-let-OpenLDAP-handle-SASL-binding.patch: use
        OpenLDAP for SASL binds
      + d/p/autofs-5.1.8-ldap_sasl_interactive_bind-needs-credentials-for-auto-detection.patch:
        fix auto-detection case
      + d/p/support-external-cc-for-gssapi-bind.patch: fix external
        credentials cache case when using openldap for sasl binds
    - d/t/control, d/t/ldap-map-sasl-auth: DEP8 tests for SASL
      authentication mechanisms in LDAP maps, including shared secret
      mechanisms and GSSAPI ones
    - d/p/ntlm-crammd5-require-credentials.patch: fix NTLM and CRAM-MD5
      authentication (LP #2023595)
  * Dropped:
    - d/p/autofs-5.1.8-ldap-kerberos-leads-to-automount-hang-p.patch: fix lock
      imbalance (LP #1982219)
      [In 5.1.8-3]

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 13 Aug 2023 11:04:40 -0300

autofs (5.1.8-3.1) unstable; urgency=medium

  * Non-maintainer upload (with approval by maintainer).
  * use correct reference for IN6 macro call
  * dont probe interface that cant send packet (Closes: #1041051)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 07 Aug 2023 14:00:03 +0200

autofs (5.1.8-3) unstable; urgency=medium

  * debian/patches:
    + Add fix-missing-unlock-in-sasl-do-kinit-ext-cc.patch. Fix missing unlock
      in sasl_do_kinit_ext_cc(). (Closes: #1039967).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 05 Jul 2023 11:50:21 +0200

autofs (5.1.8-2ubuntu2) mantic; urgency=medium

  * Fix NTLM and CRAM-MD5 SASL authentication (LP: #2023595):
    - d/p/ntlm-crammd5-require-credentials.patch: fix NTLM and CRAM-MD5
    - d/t/ldap-map-sasl-auth: add NTLM and CRAM-MD5 to the test
  * d/p/autofs-5.1.8-support-SCRAM-for-SASL-binding.patch: fix typo in
    the "Origin" DEP3 header
  * d/t/ldap-map-sasl-auth, d/t/control: add a missing 2>&1 to the test,
    which allows us to drop the allow-stderr flag from the control file

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 25 Jul 2023 11:29:10 -0300

autofs (5.1.8-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018059). Remaining changes:
    - Fix authenticated cifs mount failure caught by DEP8  (LP #1955851):
      + d/t/smb-mount: fix setting the password of the smb test user
      + d/p/fix-loop-under-run-in-cache_get_offset_parent.patch: fix crash
        on s390x
    - d/p/autofs-5.1.8-ldap-kerberos-leads-to-automount-hang-p.patch: fix lock
      imbalance (LP #1982219)
    - Support SASL SCRAM authentication (LP #1987992):
      + d/p/autofs-5.1.8-support-SCRAM-for-SASL-binding.patch: allow
        SCRAM-SHA-*
    - Switch to OpenLDAP for SASL binds (LP #1984073):
      + d/p/autofs-5.1.8-prepare-for-OpenLDAP-SASL-binding.patch: autoconf
        changes
      + d/p/autofs-5.1.8-let-OpenLDAP-handle-SASL-binding.patch: use
        OpenLDAP for SASL binds
      + d/p/autofs-5.1.8-ldap_sasl_interactive_bind-needs-credentials-for-auto-detection.patch:
        fix auto-detection case
      + d/p/support-external-cc-for-gssapi-bind.patch: fix external
        credentials cache case when using openldap for sasl binds
    - d/t/control, d/t/ldap-map-sasl-auth: DEP8 tests for SASL
      authentication mechanisms in LDAP maps, including shared secret
      mechanisms and GSSAPI ones
  * Dropped:
    - d/p/fix-nfsv4-only-mounts-should-not-use-rpcbind.patch:
      Make NFSv4-only mounts not depend on rpcbind.  (LP #1970264)
      [In 5.1.8-2]

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 12 Jun 2023 17:06:05 -0300

autofs (5.1.8-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/patches:
    + Add fix-nfs4-only-mounts-should-not-use-rpcbind.patch. Don't let NFSv4-
      only mounts use rpcbind portmapper service. (Closes: #1034261).
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * lintian:
    + Adjust syntax of various overrides.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 May 2023 10:25:31 +0200

autofs (5.1.8-1ubuntu6) mantic; urgency=medium

  * d/t/ldap-map-sasl-auth: wait for slapd to be ready (LP: #2023232)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 08 Jun 2023 14:02:00 -0300

autofs (5.1.8-1ubuntu5) mantic; urgency=medium

  * Support SASL SCRAM authentication (LP: #1987992):
    - d/p/autofs-5.1.8-support-SCRAM-for-SASL-binding.patch: allow
      SCRAM-SHA-*
  * Switch to OpenLDAP for SASL binds (LP: #1984073):
    - d/p/autofs-5.1.8-prepare-for-OpenLDAP-SASL-binding.patch: autoconf
      changes
    - d/p/autofs-5.1.8-let-OpenLDAP-handle-SASL-binding.patch: use
      OpenLDAP for SASL binds
    - d/p/autofs-5.1.8-ldap_sasl_interactive_bind-needs-credentials-for-auto-detection.patch:
      fix auto-detection case
    - d/p/support-external-cc-for-gssapi-bind.patch: fix external
      credentials cache case when using openldap for sasl binds
  * d/t/control, d/t/ldap-map-sasl-auth: DEP8 tests for SASL
    authentication mechanisms in LDAP maps, including shared secret
    mechanisms and GSSAPI ones

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 31 May 2023 14:32:36 -0300

autofs (5.1.8-1ubuntu4) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:43:08 +0000

autofs (5.1.8-1ubuntu3) kinetic; urgency=medium

  * d/p/autofs-5.1.8-ldap-kerberos-leads-to-automount-hang-p.patch: fix
    lock imbalance (LP: #1982219)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 28 Jul 2022 07:27:10 +0200

autofs (5.1.8-1ubuntu2) kinetic; urgency=medium

  * d/p/fix-nfsv4-only-mounts-should-not-use-rpcbind.patch:
    Make NFSv4-only mounts not depend on rpcbind.  (LP: #1970264)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 28 Apr 2022 23:05:15 -0400

autofs (5.1.8-1ubuntu1) jammy; urgency=medium

  * Fix authenticated cifs mount failure caught by DEP8  (LP: #1955851):
    - d/t/smb-mount: fix setting the password of the smb test user
    - d/p/fix-loop-under-run-in-cache_get_offset_parent.patch: fix crash
      on s390x

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 20 Jan 2022 15:16:09 -0300

autofs (5.1.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Trivial rebase of some patches.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Dec 2021 23:52:49 +0100

autofs (5.1.7-1) unstable; urgency=medium

  * New upstream release.
    - autofs: Fix crash in sun_mount() (Closes: #892953).
    - Use PKG_CHECK_MODULES to detect the libxml2 library. (Closes: #949055).
  * debian/patches:
    + Drop fix-autofs-schema.patch and make-bind-mounts-propagation-slave-by-
      default.patch. Applied upstream.
    + Trivially rebase patches.
    + Add another typo fix to spelling-error-fixes.patch.
  * debian/autofs.install:
    + Install libautofs.so into bin:pkg autofs (for now).
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/autofs.lintian-overrides:
    + Ignore libautofs.so (share lib) for now.
    + Ignore lintian complain about autofs.8 man page.
  * debian/watch:
    + Update format version to 4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 13:36:20 +0100

autofs (5.1.6-4) unstable; urgency=medium

  * debian/patches:
    + Add fix-autofs-schema.patch. Fix EQUALITY of automountInformation
      in LDAP autofs.schema. (Closes: #968675).
    + Add fix-nfs4-mounts-in-auto-net.patch. Follow-up of the nfs4 fix in
      #533893. (Closes: #646625).
  * debian/control:
    + Use correct capitalization for Vcs-*: field tags.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 26 Oct 2020 21:46:29 +0100

autofs (5.1.6-3) unstable; urgency=medium

  * debian/patches:
    + Add make-bind-mounts-propagation-slave-by-default.patch. (Closes:
      #795281).
  * debian/control:
    + Bump DH compat level to 13.
    + Bump Standards-Version: to 4.5.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Jun 2020 13:21:47 +0200

autofs (5.1.6-2) unstable; urgency=medium

  [ Andreas Hasenack ]
  * d/p/fix-lookup-ldap-crash.patch: fix crash on startup due to uninitialized
    config.  (LP #1503034). (Closes: #901344).
  * d/rules: Add LDFLAGS to avoid issues with accessing global variables in
    shared libraries (LP #1470687, LP #1472115).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 Jan 2020 23:04:23 +0100

autofs (5.1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 11default_automaster_location.patch,
      12disable_default_auto_master.patch and spelling-error-fixes.patch.
    + Add two more spelling fixes to spelling-error-fixes.patch.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation.
    + Bump to DH compat level version 12.
    + Drop autoconf from B-D.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
  * debian/rules:
    + Drop --with systemd. No longer provided in DH compat level >= 11.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Nov 2019 18:45:45 +0100

autofs (5.1.5-2) unstable; urgency=medium

  * Upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Aug 2019 19:47:29 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog autofs`.
